Package org.eclipse.rdf4j.sail.lucene

## Class DistanceQuerySpec

- java.lang.Object
- - org.eclipse.rdf4j.sail.lucene.AbstractSearchQueryEvaluator
  - - org.eclipse.rdf4j.sail.lucene.DistanceQuerySpec

- All Implemented Interfaces:
    `SearchQueryEvaluator`

      public class DistanceQuerySpec
      extends AbstractSearchQueryEvaluator

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DistanceQuerySpec​(Literal from, IRI units, double dist, String distVar, IRI geoProperty, String geoVar, String subjectVar, Var contextVar)` |
    `DistanceQuerySpec​(FunctionCall distanceFunction, ValueExpr distanceExpr, String distVar, Filter filter)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Var` | `getContextVar()` |
    `double` | `getDistance()` |
    `ValueExpr` | `getDistanceExpr()` |
    `FunctionCall` | `getDistanceFunctionCall()` |
    `String` | `getDistanceVar()` |
    `Filter` | `getFilter()` |
    `Literal` | `getFrom()` |
    `IRI` | `getGeoProperty()` |
    `String` | `getGeoVar()` |
    `QueryModelNode` | `getParentQueryModelNode()` |
    `String` | `getSubjectVar()` |
    `IRI` | `getUnits()` |
    `boolean` | `isEvaluable()` |
    `QueryModelNode` | `removeQueryPatterns()` | Removes the query patterns and returns a placeholder where the query results could be placed.
    `void` | `setDistance​(double d)` |
    `void` | `setDistanceFunctionCall​(FunctionCall distanceFunction)` |
    `void` | `setDistanceVar​(String varName)` |
    `void` | `setFilter​(Filter f)` |
    `void` | `setFrom​(Literal from)` |
    `void` | `setGeometryPattern​(StatementPattern sp)` |
    `void` | `setUnits​(IRI units)` |

    - ### Methods inherited from class org.eclipse.rdf4j.sail.lucene.AbstractSearchQueryEvaluator

      `replaceQueryPatternsWithResults`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DistanceQuerySpec

          public DistanceQuerySpec​(FunctionCall distanceFunction,
                                   ValueExpr distanceExpr,
                                   String distVar,
                                   Filter filter)

    - #### DistanceQuerySpec

          public DistanceQuerySpec​(Literal from,
                                   IRI units,
                                   double dist,
                                   String distVar,
                                   IRI geoProperty,
                                   String geoVar,
                                   String subjectVar,
                                   Var contextVar)

  - ### Method Detail

    - #### setFrom

          public void setFrom​(Literal from)

    - #### getFrom

          public Literal getFrom()

    - #### setUnits

          public void setUnits​(IRI units)

    - #### getUnits

          public IRI getUnits()

    - #### setDistance

          public void setDistance​(double d)

    - #### getDistance

          public double getDistance()

    - #### setDistanceVar

          public void setDistanceVar​(String varName)

    - #### getDistanceVar

          public String getDistanceVar()

    - #### setGeometryPattern

          public void setGeometryPattern​(StatementPattern sp)

    - #### getSubjectVar

          public String getSubjectVar()

    - #### getContextVar

          public Var getContextVar()

    - #### getGeoProperty

          public IRI getGeoProperty()

    - #### getGeoVar

          public String getGeoVar()

    - #### setDistanceFunctionCall

          public void setDistanceFunctionCall​(FunctionCall distanceFunction)

    - #### getDistanceFunctionCall

          public FunctionCall getDistanceFunctionCall()

    - #### getDistanceExpr

          public ValueExpr getDistanceExpr()

    - #### setFilter

          public void setFilter​(Filter f)

    - #### getFilter

          public Filter getFilter()

    - #### getParentQueryModelNode

          public QueryModelNode getParentQueryModelNode()

    - #### removeQueryPatterns

          public QueryModelNode removeQueryPatterns()

      Description copied from interface: `SearchQueryEvaluator`
      Removes the query patterns and returns a placeholder where the query results could be placed.

    - #### isEvaluable

          public boolean isEvaluable()